## NAME

r.blend.py - Blends color components of two raster maps by a given ratio.

## KEYWORDS

raster, composite

## SYNOPSIS

r.blend.py
r.blend.py --help
r.blend.py [-c] first=name second=name output=basename [percent=float] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-c
  Combine resulting R,G,B layers into single output map
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

first=name [required]
  Name of first raster map for blending
second=name [required]
  Name of second raster map for blending
output=basename [required]
  Basename for red, green and blue output raster maps
percent=float
  Percentage weight of first map for color blending
  Options: 0-100
  Default: 50

## DESCRIPTION

r.blend blends color components of 2 raster maps by a specificed percentage of the first map.

## EXAMPLE

Blending the aspect map with the elevation map for a shaded map (North Carolina sample dataset):

    g.region raster=aspect -p
    r.blend first=aspect second=elevation output=elev_shade_blend
    d.mon wx0
    d.rgb blue=elev_shade_blend.b green=elev_shade_blend.g red=elev_shade_blend.r

## SEE ALSO

d.shade, g.region, r.shade, r.colors, r.his, r.mapcalc, r.rgb, r.support

## AUTHORS

Unknown: probably CERL
Updated to GRASS 5.7 by Michael Barton, Arizona State University

## SOURCE CODE

Available at: r.blend source code (history)

Accessed: Sat Jun 18 04:20:15 2022

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.2.0 Reference Manual